---
title: Introduction
#tags:
#keywords:
last_updated: 28 June 2019
#summary: "Merlin 6 cluster overview"
sidebar: merlin6_sidebar
permalink: /merlin6/introduction.html
redirect_from:
  - /merlin6
  - /merlin6/index.html
---

## The Merlin local HPC cluster

Historically, the local HPC clusters at PSI were named Merlin. Over the years,
multiple generations of Merlin have been deployed.

### Merlin6

Merlin6 is a the official PSI Local HPC cluster for development and
mission-critical applications that has been built in 2019. It replaces
the Merlin5 cluster.

Merlin6 is designed to be extensible, so is technically possible to add
more compute nodes and cluster storage without significant increase of
the costs of the manpower and the operations.

Merlin6 is mostly based on **CPU** resources, but also contains a small amount
of **GPU**-based resources which are mostly used by the BIO Division and Deep Learning projects:
* The Merlin6 CPU nodes are in a dedicated Slurm cluster called [**`merlin6`**](/merlin6/slurm-configuration.html).
   * This is the default Slurm cluster configured in the login nodes, and any job submitted without the option `--cluster` will be submited to this cluster.
* The Merlin6 GPU resources are in a dedicated Slurm cluster called [**`gmerlin6`**](/gmerlin6/slurm-configuration.html).
   * Users submitting to the **`gmerlin6`** GPU cluster need to specify the option ``--cluster=gmerlin6``.

### Merlin5

The old Slurm **CPU** *merlin* cluster is still active and is maintained in a best effort basis.
* The Merlin5 CPU cluster is called [**merlin5**](/merlin5/slurm-configuration.html).

## Merlin Architecture

The following image shows the Slurm architecture design for the Merlin5 & Merlin6 clusters:

![Merlin6 Slurm Architecture Design]({{ "/images/merlin-slurm-architecture.png" }})

### Merlin6 Architecture Diagram

The following image shows the Merlin6 cluster architecture diagram:

![Merlin6 Architecture Diagram]({{ "/images/merlinschema3.png" }})

